<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:f="http://java.sun.com/jsf/core">
<h:head>
	<title>Index</title>
</h:head>
<h:body>
	<h:form>
		<p:breadCrumb>
			<p:menuitem />
			<p:menuitem value="Pagina JSF" action="index.jsf" />
			<p:menuitem value="Pagina PrimeFaces" action="primefaces.jsf" />

		</p:breadCrumb>

	</h:form>



	<h:form id="formulario">
		<h:messages showDetail="true" showSummary="false" id="msg" />
		<h:panelGrid columns="2">
			<h:outputLabel value="ID:" />
			<h:inputText readonly="true"
				value="#{usuarioPessoaManagedBean.pessoa.id}" />

			<h:outputLabel value="Nome:" />
			<h:inputText pt:placeholder="Informe o nome"
				value="#{usuarioPessoaManagedBean.pessoa.nome}" required="true"
				requiredMessage="Informe o nome!" />

			<h:outputLabel value="Sobrenome" />
			<h:inputText pt:placeholder="Informe o Sobrenome"
				value="#{usuarioPessoaManagedBean.pessoa.sobrenome}" />


			<h:outputLabel value="Idade:" />
			<h:inputText value="#{usuarioPessoaManagedBean.pessoa.idade}" />

			<h:outputLabel value="Salário" />
			<h:inputText value="#{usuarioPessoaManagedBean.pessoa.salario}" />

			<h:outputLabel value="Sexo" />
			<h:selectOneMenu value="#{usuarioPessoaManagedBean.pessoa.sexo}">
				<f:selectItem itemValue="MASCULINO" />
				<f:selectItem itemValue="FEMININO" />
			</h:selectOneMenu>

			<h:outputLabel value="Cep" />
			<h:inputText value="#{usuarioPessoaManagedBean.pessoa.cep}">
				<f:ajax event="blur" execute="@this"
					listener="#{usuarioPessoaManagedBean.pesquisaCep}"
					render="logradouro bairro localidade" />
			</h:inputText>

			<h:outputLabel value="Logradouro" />
			<h:inputText value="#{usuarioPessoaManagedBean.pessoa.logradouro}"
				id="logradouro" />

			<h:outputLabel value="Bairro" />
			<h:inputText value="#{usuarioPessoaManagedBean.pessoa.bairro}"
				id="bairro" />

			<h:outputLabel value="Localidade" />
			<h:inputText value="#{usuarioPessoaManagedBean.pessoa.localidade}"
				id="Localidade" />


			<h:outputLabel value="Login" />
			<h:inputText value="#{usuarioPessoaManagedBean.pessoa.login}" />

			<h:outputLabel value="Senha:" />
			<h:inputSecret value="#{usuarioPessoaManagedBean.pessoa.senha}" />
		</h:panelGrid>

		<h:commandButton value="Salvar"
			action="#{usuarioPessoaManagedBean.salvar}" />
		<h:commandButton value="Novo"
			action="#{usuarioPessoaManagedBean.novo}" />

		<br />
		<br />
	</h:form>

	<h:form id="formTable">
		<h:dataTable value="#{usuarioPessoaManagedBean.listPessoa}" var="user"
			cellpadding="15" border="1">
			<f:facet name="header">Lista de usuários </f:facet>
			<h:column>
				<f:facet name="header">Id </f:facet>
				<h:outputLabel value="#{user.id}" />
			</h:column>

			<h:column>
				<f:facet name="header">Lista Nome </f:facet>
				<h:outputLabel value="#{user.nome}" />
			</h:column>

			<h:column>
				<f:facet name="header">Login</f:facet>
				<h:outputLabel value="#{user.login}" />
			</h:column>


			<h:column>
				<f:facet name="header">Idade</f:facet>
				<h:outputLabel value="#{user.idade}" />
			</h:column>

			<h:column>
				<f:facet name="header">Editar</f:facet>
				<h:commandLink immediate="true" id="botaoeditar">
					<h:graphicImage url="resources/img/tools-and-utensils.png"
						width="25" height="25" />
					<f:setPropertyActionListener value="#{user}"
						target="#{usuarioPessoaManagedBean.pessoa}" />
					<f:ajax execute="botaoeditar" render=":formulario" />
				</h:commandLink>
			</h:column>

			<h:column>
				<f:facet name="header">Deletar</f:facet>
				<h:commandLink immediate="true"
					action="#{usuarioPessoaManagedBean.remover}" id="botaoremover">
					<h:graphicImage url="resources/img/rubber.png" width="25"
						height="25" />
					<f:setPropertyActionListener value="#{user}"
						target="#{usuarioPessoaManagedBean.pessoa}" />
					<f:ajax execute="botaoremover" render="@form :formulario :msg" />
				</h:commandLink>
			</h:column>

			<h:column>
				<f:facet name="header">Telefone</f:facet>
				<h:commandLink immediate="true" action="telefone" id="botaotelefone">
					<h:graphicImage url="resources/img/call.png" width="25" height="25" />
					<f:param name="codigouser" value="#{user.id}" />
				</h:commandLink>
			</h:column>
		</h:dataTable>
	</h:form>
</h:body>
</html>